Nov 27

[原]IBM x366上安装红旗DC Server 4.1 for x86_新版 阴

linuxing , 12:08 , 基础知识 » 硬件处理 , 评论(0) , 引用(0) , 阅读(13317) , Via 本站原创 | |
 由于红旗DC Server 4.1比IBM x366要早发布很多,所以,在实际项目中常需要根据情况调整和安装新驱动。在红旗更新SP2 补丁包后,我发现该过程简单了很多,特整理一下。
 这次要实现的目的包括:
引用
1、对板载IBM Server Raid 8i卡,使用1.5.1版本的aacraid驱动;
2、更新网卡驱动为tg3;
3、使用系统自带支持failover的qla2300驱动,支持QLA2312 HBA卡;

一、安装
1、使用标准光盘安装DC 4.1,启动时候,增加下述参数:
linux expert noprobe

其能强制安装的时候不加载任何驱动,后续通过手动选择aacraid驱动,可直接加载板载RAID卡,而不激活HBA卡。此时,已经做好RAID 1的本地硬盘,会自动识别为sda。
这样,就可以避免安装前拔掉HBA卡光纤电缆的麻烦。
二、更新驱动
1、安装完成后,升级到DC 4.1 SP2核心:
下面的包是需要安装的
引用
kernel-smp-2.4.21-37.18AX.i686.rpm
kernel-smp-driver-a320raid-1.2.0_19n-2.4.21_37.18AX_1.i686.rpm
kernel-smp-driver-aarich-6.00.086.I308-2.4.21_37.18AX_1.i686.rpm
kernel-source-2.4.21-37.18AX.i686.rpm

更新后,下面的应用是相依赖的,也需要安装:
lkcdutils-4.2-11AX.i386.rpm
lkcdutils-devel-4.2-11AX.i386.rpm
2、修改/boot/grub/menu.lst文件,重启x366,让其从新核心启动,并加载新版aacraid驱动;
已知DC Server 4.1 for x86自带aacraid驱动和IBM x366有兼容性问题,在高负载情况下会不稳定,必须升级到1.5.1以上版本,而SP2补丁自带该版本驱动。
3、测试QLA2312 HBA卡failover功能:
rmmod qla2300
depmod -a
modprobe qla2300 ql2xfailover=1

使用fdisk -l,若实现两HBA卡共用一个sd设备,则证明failover功能激活成功。
4、修改/etc/modules.conf文件,包括:
引用
alias eth0 tg3
alias eth1 tg3
alias scsi_hostadapter1 qla2300
options qla2300 ql2xfailover=1

※注意:上面的options必须另起一行,否则是无效的。
完成后,重做initrd启动文件:
mkinitrd -f /boot/initrd-2.4.21-37.18AXsmp.img `uname -r`

重启并检查启动是否有错。
至此,系统安装和调整完毕。
发表评论
表情
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
打开HTML
打开UBB
打开表情
隐藏
记住我
昵称   密码   游客无需密码
网址   电邮   [注册]